package org.jeecg.modules.zrzyqc.qcsb.service;

import org.jeecg.modules.zrzyqc.qcsb.entity.QcSsgqzysytdqk;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.zrzyqc.qyxx.entity.QcQyxx;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 省属国企占有使用土地情况调查
 * @Author: jeecg-boot
 * @Date:   2022-06-29
 * @Version: V1.0
 */
public interface IQcSsgqzysytdqkService extends IService<QcSsgqzysytdqk> {
    void upSfsb(String id);
    void upSfsh(String id);
    void upShjg(String id);
    QcQyxx selectQyxx(String username,String orCode);




    void insertDkxx(HashMap<String, Object> map);

    List<Map<String, Double>> sumList(List<QcSsgqzysytdqk> list);

    List<Map<String, Double>> sumListBysz(List<QcSsgqzysytdqk> list);
}
